@charset "utf-8";

@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,600,700&subset=cyrillic,cyrillic-ext,latin);
@import url(https://fonts.googleapis.com/css?family=PT+Sans+Narrow&subset=latin,cyrillic-ext,cyrillic);
@import url(https://fonts.googleapis.com/css?family=Roboto+Slab:400,300,700&subset=latin,cyrillic-ext,cyrillic);

@import "./asset/smart/dist/smart.min.css";

/* -- menu -- */
@import "./menu.css";
@import "./menu-link.css";
@import "./menu-find.css";
@import "./menu-menu.css";
@import "./menu-icon.css";
@import "./menu-news.css";

@import "./index.css";
@import "./page.css";
@import "./news.css";
@import "./asset.css";
@import "./flips.css";
@import "./slider.css";
@import "./footer.css";
@import "./portfolio.css";
@import "./project.css";

@import "./debug.css";


:root {

  --wrap-width: 1280px;

  --font-body: "Open Sans", "Helvetica Neue", Tahoma, sans-serif;
  --font-head: "PT Sans Narrow", sans-serif;
  --font-mono: "Roboto Mono", Monaco, Consolas, monospace;

  --color-back: #fff;
  --color-text: #333;
  --color-link: #2b4db4;
  --color-high: #777;

  --color-alt: #63a35c;

}

/* --- */

html,
body {
  margin: 0;
  font-family: var(--font-body);
  font-optical-sizing: auto;
  background: var(--color-back);
  color: var(--color-text);
}

*,
*:after,
*:before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.container,
.wrapper {
  max-width: var(--wrap-width);
  margin-left: auto;
  margin-right: auto;
}


h1, h2, h3, h4, h5, h6 {
  font-family: var(--font-head);
  color: var(--color-link);
}

h1 small, h2 small, h3 small {
  font-size: .5em;
}

a {
  color: var(--color-link);
}

a:hover {
  color: var(--color-link);
}

p,
address {
  font-style: normal;
  line-height: 1.5em;
  margin-bottom: .5rem;
}

footer {
  margin-top: 3rem;
  border-top: 2px solid var(--color-link)
}

article h1,
article h2,
article h3 {
  color: var(--color-link);
}

article h1:first-child {
  margin-top: .5em;
}

@media screen and (min-width: 800px) {
  main.news article p {
    text-align: justify;
  }
}

@media screen and (max-width: 799px) {
  header + main,
  header + section.breaking {
    padding-top: 5rem;
  }
}

/* Responsive video */

article div.iframe-wrapper {
  float: none;
  clear: both;
  width: 100%;
  margin: 2em auto;
  position: relative;
  padding-bottom: 56.25%;
  padding-top: 25px;
  height: 0;
}

article div.iframe-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

@media only screen and ( min-width: 1024px ) {
  article div.iframe-wrapper {
    width: 50%;
    padding-bottom: 28.125%;
  }
}

/* Details */

details[open] summary ~ * {
  animation: open 0.25s ease-in-out;
}

@keyframes open {
  0% { opacity: 0; }
  100% { opacity: 1; }
}

details {
  margin: .5em 0;
}

details:first-of-type {
  margin-top: 2em;
}

details summary {
  cursor: pointer;
  padding: .75em 3em;
  border: 1px solid #eee;
  border-radius: .25em;
  color: var(--color-link);
  position: relative;
  list-style: none;
  z-index: 0;
  transition: .15s;
}

details[open] {
  margin-bottom: 2em;
}

details[open] summary {
  margin: 0 0 1em;
}

details > summary { list-style: none; }
details > summary::marker,
details > summary::-webkit-details-marker {
  display: none;
}

details > summary:hover {
  background: #f0f0f0;
}

details > summary:after {
  content: " ";
  position: absolute;
  background: center center no-repeat url("data:image/svg+xml;base64,PHN2ZyBjbGFzcz0iaW9uaWNvbiIgd2lkdGg9IjUuNzYiIGhlaWdodD0iMTAuMDgiIHZlcnNpb249IjEuMSIgdmlld0JveD0iMCAwIDUuNzYgMTAuMDgiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PHBhdGggZD0ibTAuNzIgMC43MiA0LjMyIDQuMzItNC4zMiA0LjMyIiBmaWxsPSJub25lIiBzdHJva2U9ImN1cnJlbnRDb2xvciIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIiBzdHJva2Utd2lkdGg9IjEuNDQiLz48L3N2Zz4K");
  width: 10px;
  height: 10px;
  left: 1.25em;
  top: 1.125em;
}

details[open] > summary {
  color: var(--color-link);
  background: #f0f0f0;
  border-bottom: 2px solid var(--color-link);
}

details[open] > summary:after {
  background-image: url("data:image/svg+xml;base64,PHN2ZyBjbGFzcz0iaW9uaWNvbiIgd2lkdGg9IjEwLjA4IiBoZWlnaHQ9IjUuNzYiIHZlcnNpb249IjEuMSIgdmlld0JveD0iMCAwIDEwLjA4IDUuNzYiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PHBhdGggZD0ibTAuNzIgMC43MiA0LjMyIDQuMzIgNC4zMi00LjMyIiBmaWxsPSJub25lIiBzdHJva2U9ImN1cnJlbnRDb2xvciIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIiBzdHJva2Utd2lkdGg9IjEuNDQiLz48L3N2Zz4K");
}

/* Benchmark */

section.mark {
  background: #fff;
  padding: .25rem .5rem;
  font-family: Arial, Helvetica Neue, Helvetica, sans-serif;
  font-size: 10px;
  position: fixed;
  top: .5rem;
  right: .5rem;
  color: #808285;
  z-index: 99999;
  border-radius: 4px;
  opacity: 0.5;
  cursor: help;
}

section.mark.sticky {
  border: 1px solid #ddd;
  top: 1rem;
}

section.mark:hover {
  opacity: .9;
}

@media only screen and ( max-width: 1600px ) { section.mark { display: none; } }

/* Blink (smooth) */

.blink {
  animation: blink 2s linear infinite;
}

@keyframes blink {
  40% { opacity: 1; }
  50% { opacity: 0; }
  60% { opacity: 1; }
}

section.pages {
  font-size: .8em;
  line-height: 3em;
}

section.pages:first-of-type {
  margin-bottom: 2em;
}

section.pages:last-of-type {
  margin-top: 2em;
}

section.pages a {
  padding: .25em .5em;
}

section.pages a.selected {
  border-bottom: 2px solid;
}


blockquote {
  padding: 1em 1em 1em 3em;
  margin: 1em 0;
  position: relative;
  background: #f8f8f8;
}

blockquote p {
  text-align: justify;
  font-style: italic;
  color: #777;
  font-size: .9em;
}

blockquote:before {
  position: absolute;
  content: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 24 24' fill='color'><path d='M9.983 3v7.391C9.983 16.095 6.252 19.961 1 21l-.995-2.151C2.437 17.932 4 15.211 4 13H0V3h9.983zM24 3v7.391c0 5.704-3.748 9.571-9 10.609l-.996-2.151C16.437 17.932 18 15.211 18 13h-3.983V3H24z'/></svg>");
  left: 1em;
  top: .875em;
  color: red;
}

blockquote:after {
  position: absolute;
  content: "";
  left: 1.375em;
  top: 2.5em;
  width: 2px;
  height: calc(100% - 3.5em);
  background-color: #777;
}

blockquote cite {
  margin-top: 0.5em;
  font-size: 0.75em;
  font-style: normal;
  color: var(--color-alt);
}

blockquote cite:before {
  content: '\2014 \00A0';
}

ul.timeline {
  margin: 2em 0 2em 5em;
  padding: 0 0 0 1em;
  border-left: 2px solid var(--color-link);
}

ul.timeline li.event {
  list-style: none;
  position: relative;
  padding: .25em;
}

ul.timeline li.event h3 {
  position: absolute;
  left: -4em;
  top: 0;
}

ul.timeline li.event h3:after {
  content: "";
  position: absolute;
  height: 1.5em;
  width: 1.375em;
  background: #fff;
  left: 2.5em;
  top: 0;
}

ul.timeline li.event:after {
  position: absolute;
  top: .5em;
  left: calc(-1.5em - 1px);
  border: 2px solid var(--color-link);
  background: #fff;
  border-radius: 50%;
  height: 1em;
  width: 1em;
  content: "";
}

article ul,
article ol {
  margin: .5em 0 .75em 2em;
}

article ul li,
article ol li {
  margin-bottom: .5em;
  text-align: justify;
}